import isEqual from 'lodash.isequal';
import React, { memo, useMemo } from 'react';
import { View } from 'react-native';
import { BORDER_LIGHT_COLOR, BORDER_DARK_COLOR } from './constants';

const Seperator = ({
  theme
}) => {
  const styles = useMemo(() => {
    return {
      width: '100%',
      height: 8,
      backgroundColor: theme === 'dark' ? BORDER_DARK_COLOR : BORDER_LIGHT_COLOR
    };
  }, [theme]);
  return /*#__PURE__*/React.createElement(View, {
    style: styles
  });
};

export default /*#__PURE__*/memo(Seperator, isEqual);
//# sourceMappingURL=Seperator.js.map